<html>
<head>
<title>OgreDataStream.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">OgreDataStream.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSharedPtr_8h_source.html">OgreSharedPtr.h</a>&quot;</code><br/>
<code>#include &lt;istream&gt;</code><br/>
</div>
<p><a href="OgreDataStream_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticCache.html">Ogre::StaticCache&lt; cacheSize &gt;</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Template version of cache based on static array.  <a href="classOgre_1_1StaticCache.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">General purpose class used for encapsulating the reading and writing of data.  <a href="classOgre_1_1DataStream.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> for handling data from chunks of memory.  <a href="classOgre_1_1MemoryDataStream.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileStreamDataStream.html">Ogre::FileStreamDataStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> for handling data from std::basic_istream.  <a href="classOgre_1_1FileStreamDataStream.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileHandleDataStream.html">Ogre::FileHandleDataStream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Common subclass of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> for handling data from C-style file handles.  <a href="classOgre_1_1FileHandleDataStream.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDataStream_8h.html#a71a2d398037a64aa241ef5c0be350430">OGRE_STREAM_TEMP_SIZE</a>&#160;&#160;&#160;128</td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr&lt; DataStream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">Ogre::DataStreamPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer to allow data streams to be passed around without worrying about deallocation.  <a href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef list&lt; DataStreamPtr &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gaf30cff05594c7346e6f7bb0ec48aa597">Ogre::DataStreamList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> items.  <a href="group__Resources.html#gaf30cff05594c7346e6f7bb0ec48aa597"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr&lt; DataStreamList &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gaca357d60ac34de84a39467c1f557749e">Ogre::DataStreamListPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer to list of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> items.  <a href="group__Resources.html#gaca357d60ac34de84a39467c1f557749e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef SharedPtr<br class="typebreak"/>
&lt; MemoryDataStream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2">Ogre::MemoryDataStreamPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared pointer to allow memory data streams to be passed around without worrying about deallocation.  <a href="group__Resources.html#gaf8656a2c0ef06642f70c4b3745ee80a2"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a71a2d398037a64aa241ef5c0be350430"></a><!-- doxytag: member="OgreDataStream.h::OGRE_STREAM_TEMP_SIZE" ref="a71a2d398037a64aa241ef5c0be350430" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreDataStream_8h.html#a71a2d398037a64aa241ef5c0be350430">OGRE_STREAM_TEMP_SIZE</a>&#160;&#160;&#160;128</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00191">191</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
